Take the 2-minute tour ×
WordPress Development Stack Exchange is a question and answer site for WordPress developers and administrators. It's 100% free, no registration required.

Suddenly I am getting the following error on my website, I don't know why, but I think this is because of shortage of RAM or Memory in the host? Is it true?

Error:

Fatal error: Out of memory (allocated 12845056) (tried to allocate 311296 bytes) in /wp-content/plugins/WPRobot3/wprobot.php(1239) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code on line 335

Fatal error: Out of memory (allocated 18874368) (tried to allocate 35 bytes) in /wp-includes/wp-db.php on line 1140

Is this because of insufficient memory with the host? or is it because of wp?

Notices

Notice: get_settings is deprecated since version 2.1! Use get_option() instead. in wp-includes/functions.php on line 3237

Notice: register_sidebar_widget is deprecated since version 2.8! Use wp_register_sidebar_widget() instead. in wp-includes/functions.php on line 3237

Notice: register_widget_control is deprecated since version 2.8! Use wp_register_widget_control() instead. in wp-includes/functions.php on line 3237

Notice: register_sidebar_widget is deprecated since version 2.8! Use wp_register_sidebar_widget() instead. in wp-includes/functions.php on line 3237

Notice: register_widget_control is deprecated since version 2.8! Use wp_register_widget_control() instead. in wp-includes/functions.php on line 3237

Notice: register_sidebar_widget is deprecated since version 2.8! Use wp_register_sidebar_widget() instead. in wp-includes/functions.php on line 3237

Notice: register_widget_control is deprecated since version 2.8! Use wp_register_widget_control() instead. in wp-includes/functions.php on line 3237

Notice: register_sidebar_widget is deprecated since version 2.8! Use wp_register_sidebar_widget() instead. in wp-includes/functions.php on line 3237

Notice: register_widget_control is deprecated since version 2.8! Use wp_register_widget_control() instead. in wp-includes/functions.php on line 3237

Notice: register_sidebar_widget is deprecated since version 2.8! Use wp_register_sidebar_widget() instead. in wp-includes/functions.php on line 3237

Notice: register_widget_control is deprecated since version 2.8! Use wp_register_widget_control() instead. in wp-includes/functions.php on line 3237

Notice: register_sidebar_widget is deprecated since version 2.8! Use wp_register_sidebar_widget() instead. in wp-includes/functions.php on line 3237

Notice: register_widget_control is deprecated since version 2.8! Use wp_register_widget_control() instead. in wp-includes/functions.php on line 3237

Notice: Undefined index: page in wp-content/plugins/seo-booster-lite/seo-booster.php on line 980

Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in wp-includes/functions.php on line 3321

Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in wp-includes/functions.php on line 3321

Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in wp-includes/functions.php on line 3321

Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in wp-includes/functions.php on line 3321

Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in wp-includes/functions.php on line 3321

Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in wp-includes/functions.php on line 3321

Notice: Undefined index: page in wp-content/plugins/autoblogged/autoblogged.php on line 164

Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in wp-includes/functions.php on line 3321

Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in wp-includes/functions.php on line 3321

Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in wp-includes/functions.php on line 3321

Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in wp-includes/functions.php on line 3321

Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in wp-includes/functions.php on line 3321

Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in wp-includes/functions.php on line 3321

Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in wp-includes/functions.php on line 3321

Notice: Undefined index: page in wp-content/plugins/seo-booster-lite/seo-booster.php on line 990
share|improve this question
add comment

1 Answer

up vote 1 down vote accepted

While this is clearly out of memory error, it seems to be caused by obfuscated code in plugin's file.

There is rarely legit reason to run that many layers of eval() so either that code is obfuscated for not-so-good reason or some error is causing endless loop (which should trigget another error by exceeding recursion, but possibly memory runs out before that).

share|improve this answer
    
@Rarst but I am using this plugin from long back no error I ever faced, and second thing, this is not the same, some times I also get on other files like, pluggable.php, load.php etc –  ntechi Feb 8 '11 at 11:15
    
@ntechi if you are getting errors with eval in different files and especially WP core files - I'd strongly suspect that you were hacked. If it is out of memory errors you should try inscreasing memory limit. –  Rarst Feb 8 '11 at 11:20
    
@Rarst how to know that my website is been hacked? and in my wp-config I have allocated 256 MB, and one more thing from last 1 day in my FTP also I am facing problems regarding with memory allocation, thats why I thought its due to hosting? How can I solve this? –  ntechi Feb 8 '11 at 11:30
    
@ntechi ask your hosting to check, if probability you are indeed hacked is high, well - Otto has it right in How to Cope with a Hacked Site. –  Rarst Feb 8 '11 at 11:42
    
You can also see eval errors when running plugins like "exec php" and similar, since these plugins will often eval code. –  t31os Feb 8 '11 at 11:59
show 7 more comments

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.